/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: OBRRepoActionCommand.as 20454 2010-10-12 15:52:44Z lglglglg $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.osgiconsole.command
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;

	import mx.controls.Alert;
	import mx.rpc.IResponder;

	import org.ow2.jonas.admin.osgiconsole.business.OBRRepoActionDelegate;
	import org.ow2.jonas.admin.osgiconsole.event.OBRRepoActionEvent;
	import org.ow2.jonas.admin.osgiconsole.model.OSGIConsoleModelLocator;


	public class OBRRepoActionCommand implements ICommand,IResponder
	{
		public function OBRRepoActionCommand()
		{
		}
		public function execute(event:CairngormEvent):void{
			var e:OBRRepoActionEvent=event as OBRRepoActionEvent;
			var delegate:OBRRepoActionDelegate=OSGIConsoleModelLocator.getInstance().obrRepoActionDelegate;
			delegate.responder=this;
			delegate.handle(e.getAction(),e.getPath());
		}
		public function result(event:Object):void{
			OSGIConsoleModelLocator.getInstance().obrInfo=event.result;
		}
		public function fault(info:Object):void{
			Alert.show(info.result);
		}
	}
}